%global packname  showtextdb
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.0
Release:          3%{?dist}
Summary:          Font Files for the 'showtext' Package

License:          ASL 2.0
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Patch0001:        0001-Load-existing-font-file.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-sysfonts >= 0.7.1, R-utils
# Suggests:  R-curl
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         wqy-microhei-fonts
Requires:         R-sysfonts >= 0.7.1
Requires:         R-utils
Suggests:         R-curl
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    wqy-microhei-fonts
BuildRequires:    R-sysfonts >= 0.7.1
BuildRequires:    R-utils
BuildRequires:    R-curl

%description
Providing font files that can be used by the 'showtext' package.


%prep
%setup -q -c -n %{packname}

# Remove bundled font references.
pushd %{packname}
rm inst/AUTHORS inst/COPYRIGHTS
%patch0001 -p1
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# Replace fonts by system fonts (note that this cannot be done in prep because
# R CMD INSTALL copies symlink targets.)
pushd %{buildroot}%{rlibdir}/%{packname}
rm fonts/*
ln -s /usr/share/fonts/wqy-microhei/wqy-microhei.ttc fonts/wqy-microhei.ttc
popd


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/fonts


%changelog
* Sun Sep 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0-3
- Fix unbundling of fonts

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0-1
- initial package for Fedora
